Bug 889999 - Replace-brick start fails on the non-originator node.
Replace-brick start fails on the non-originator node.
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: krishnan parthasarathi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-24 05:08 EST by krishnan parthasarathi
Modified: 2015-11-03 18:05 EST (History)
4 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:44:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description krishnan parthasarathi 2012-12-24 05:08:13 EST
Description of problem:
replace-brick fails on remote node saying "Failed to get op ctx".


Version-Release number of selected component (if applicable):
commit on upstream/master: 91cc423b48df800dcfff7040ca4a95ef2a9d6afc

How reproducible:
1/1

Steps to Reproduce:
1. Create a volume
2. Probe a peer
3. Perform replace-brick where src-brick and dst-brick are on different nodes.
  
Actual results:
replace-brick fails to start.

Expected results:
replace-brick should succeed.

Additional info:
We notice critical log level message - "Failed to get op ctx" in the glusterd log file.
Comment 1 Amar Tumballi 2012-12-24 05:48:20 EST
http://review.gluster.org/4352
Comment 2 Vijay Bellur 2013-01-09 02:39:47 EST
CHANGE: http://review.gluster.org/4352 (glusterd: Set replace-brick id in op ctx only in origin glusterd) merged in master by Vijay Bellur (vbellur@redhat.com)

Note You need to log in before you can comment on or make changes to this bug.